Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

API View change rebuild and save 1

Status
Not open for further replies.

NL8

Mechanical
Aug 13, 2007
633
I have almost no experience with API code in Sw, so I turn to the infinite wisdom of the members of this forum for what should be a simple question.

How complicated would it be to write some code that would create a macro that puts the current model (part or assembly) into the isometric view, force rebuild it, and save it.
 
Replies continue below

Recommended for you

Not complicated at all, actually.

Code:
Dim swApp As SldWorks.SldWorks
Dim swDoc As SldWorks.ModelDoc2

Sub main()

    Set swApp = Application.SldWorks
    Set swDoc = swApp.ActiveDoc
    
    If swDoc.GetType = swDocDRAWING Then
        MsgBox "This macro does not work in a drawing document."
        Exit Sub
    End If
    
    swDoc.ShowNamedView2 "*Isometric", -1
    swDoc.ViewZoomtofit2
    swDoc.ForceRebuild3 True
    swDoc.Save3 0, Empty, Empty
    
    Set swDoc = Nothing
    Set swApp = Nothing

End Sub
 
Thanks Handlman! I wasn't expecting you to write it for me! And I get to see it done to boot. A star for you.
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor